Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.i18n
Class Messages

    java.lang.Object
      org.apache.axis.i18n.Messages

public class Messages
extends Object

Author:
  Richard A. Sitze (rsitze@us.ibm.com), Karl Moss (kmoss@macromedia.com), Glen Daniels (gdaniels@macromedia.com)
See Also:
  `

  FUNCTIONAL TEMPLATE for Messages classes.

  Copy this template to your package.

  For subpackages of org.apache.axis.*, the internal constants are set appropriately. To adapt this scheme to an extension project (package prefix differs from org.apache.axis.*), edit the projectName attribute. The others shouldn't need to be changed unless this is being adapted to a non-AXIS related project..`

Constructor Summary
`Messages()`

Method Summary
`static String` | `getMessage(String key)` Get a message from resource.properties from the package of the given object.
`static String` | `getMessage(String key, String arg0)` Get a message from resource.properties from the package of the given object.
`static String` | `getMessage(String key, String[] args)` Get a message from resource.properties from the package of the given object.
`static String` | `getMessage(String key, String arg0, String arg1)` Get a message from resource.properties from the package of the given object.
`static String` | `getMessage(String key, String arg0, String arg1, String arg2)` Get a message from resource.properties from the package of the given object.
`static String` | `getMessage(String key, String arg0, String arg1, String arg2, String arg3)` Get a message from resource.properties from the package of the given object.
`static String` | `getMessage(String key, String arg0, String arg1, String arg2, String arg3, String arg4)` Get a message from resource.properties from the package of the given object.
`static MessageBundle` | `getMessageBundle()`
`static ResourceBundle` | `getResourceBundle()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Messages

    public Messages()

Method Detail

### getMessage

    public static String getMessage(String key)
                             throws MissingResourceException

  Get a message from resource.properties from the package of the given object.

  Parameters:
    `key` - The resource key
  Returns:
    The formatted message
  Throws:
    `MissingResourceException`

### getMessage

    public static String getMessage(String key,
                                    String arg0)
                             throws MissingResourceException

  Get a message from resource.properties from the package of the given object.

  Parameters:
    `key` - The resource key
    `arg0` - The argument to place in variable {0}
  Returns:
    The formatted message
  Throws:
    `MissingResourceException`

### getMessage

    public static String getMessage(String key,
                                    String arg0,
                                    String arg1)
                             throws MissingResourceException

  Get a message from resource.properties from the package of the given object.

  Parameters:
    `key` - The resource key
    `arg0` - The argument to place in variable {0}
    `arg1` - The argument to place in variable {1}
  Returns:
    The formatted message
  Throws:
    `MissingResourceException`

### getMessage

    public static String getMessage(String key,
                                    String arg0,
                                    String arg1,
                                    String arg2)
                             throws MissingResourceException

  Get a message from resource.properties from the package of the given object.

  Parameters:
    `key` - The resource key
    `arg0` - The argument to place in variable {0}
    `arg1` - The argument to place in variable {1}
    `arg2` - The argument to place in variable {2}
  Returns:
    The formatted message
  Throws:
    `MissingResourceException`

### getMessage

    public static String getMessage(String key,
                                    String arg0,
                                    String arg1,
                                    String arg2,
                                    String arg3)
                             throws MissingResourceException

  Get a message from resource.properties from the package of the given object.

  Parameters:
    `key` - The resource key
    `arg0` - The argument to place in variable {0}
    `arg1` - The argument to place in variable {1}
    `arg2` - The argument to place in variable {2}
    `arg3` - The argument to place in variable {3}
  Returns:
    The formatted message
  Throws:
    `MissingResourceException`

### getMessage

    public static String getMessage(String key,
                                    String arg0,
                                    String arg1,
                                    String arg2,
                                    String arg3,
                                    String arg4)
                             throws MissingResourceException

  Get a message from resource.properties from the package of the given object.

  Parameters:
    `key` - The resource key
    `arg0` - The argument to place in variable {0}
    `arg1` - The argument to place in variable {1}
    `arg2` - The argument to place in variable {2}
    `arg3` - The argument to place in variable {3}
    `arg4` - The argument to place in variable {4}
  Returns:
    The formatted message
  Throws:
    `MissingResourceException`

### getMessage

    public static String getMessage(String key,
                                    String[] args)
                             throws MissingResourceException

  Get a message from resource.properties from the package of the given object.

  Parameters:
    `key` - The resource key
  Returns:
    The formatted message
  Throws:
    `MissingResourceException`

### getResourceBundle

    public static ResourceBundle getResourceBundle()

### getMessageBundle

    public static MessageBundle getMessageBundle()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.